GpgFrontend::UI::ListedKeyServerTestTask Class Reference
Inheritance diagram for GpgFrontend::UI::ListedKeyServerTestTask:
Collaboration diagram for GpgFrontend::UI::ListedKeyServerTestTask:

## Public Types

enum | KeyServerTestResultType { kTestResultType_Success, kTestResultType_Timeout, kTestResultType_Error }
Public Types inherited from GpgFrontend::Thread::Task
using | DataObjectPtr = std::shared_ptr< DataObject >
using | TaskRunnable = std::function< int(DataObjectPtr)>
using | TaskCallback = std::function< void(int, DataObjectPtr)>

## Signals

void | SignalKeyServerListTestResult (std::vector< KeyServerTestResultType > result)
Signals inherited from GpgFrontend::Thread::Task
void | SignalTaskFinished ()
void | SignalTaskPostFinishedDone ()

## Public Member Functions

| ListedKeyServerTestTask (const QStringList &urls, int timeout, QWidget *parent=nullptr)
Public Member Functions inherited from GpgFrontend::Thread::Task
| Task ()
| Construct a new Task object. More...
| Task (TaskCallback callback, DataObjectPtr data_object=nullptr)
| Construct a new Task object. More...
| Task (TaskRunnable runnable, TaskCallback callback=[](int, std::shared_ptr< DataObject >) {}, DataObjectPtr data=nullptr)
| Construct a new Task object. More...
virtual | ~Task () override
| Destroy the Task object. More...
virtual void | Run ()
| Run - run the task. More...
std::string | GetUUID () const

## Protected Member Functions

void | run () override
Protected Member Functions inherited from GpgFrontend::Thread::Task
void | SetFinishAfterRun (bool finish_after_run)
| Set the Finish After Run object. More...
void | SetRTN (int rtn)

## Private Member Functions

void | slot_process_network_reply (int index, QNetworkReply *reply)

## Private Attributes

QStringList | urls_
std::vector< KeyServerTestResultType > | result_
QNetworkAccessManager * | network_manager_
int | timeout_ = 500
int | result_count_ = 0

## Constructor & Destructor Documentation

## ListedKeyServerTestTask()

GpgFrontend::UI::ListedKeyServerTestTask::ListedKeyServerTestTask | ( | const QStringList & | urls,
|  | int | timeout,
|  | QWidget * | parent = `nullptr`
| ) |  |

explicit

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

The source code version of this software was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com eric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

## Member Function Documentation

## SignalKeyServerListTestResult

void GpgFrontend::UI::ListedKeyServerTestTask::SignalKeyServerListTestResult | ( | std::vector< KeyServerTestResultType > | result | ) |

signal

Parameters

  result |

## slot_process_network_reply()

void GpgFrontend::UI::ListedKeyServerTestTask::slot_process_network_reply | ( | int | index,
|  | QNetworkReply * | reply
| ) |  |

private

Parameters

  index |
  reply |

The documentation for this class was generated from the following files:

- src/ui/thread/ListedKeyServerTestTask.h
- src/ui/thread/ListedKeyServerTestTask.cpp